/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@500;600&family=Poppins:wght@400;500&display=swap");

/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;

  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --title-color: hsl(0, 0%, 95%);
  --text-color: hsl(0, 0%, 70%);
  --text-color-light: hsl(0, 0%, 60%);
  --body-color: hsl(0, 0%, 0%);
  --container-color: hsl(0, 0%, 8%);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Poppins", sans-serif;
  --second-font: "Montserrat", sans-serif;
  --biggest-font-size: 2.75rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-medium: 500;
  --font-semi-bold: 600;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}


/*========== Responsive typography ==========*/
@media screen and (min-width: 1152px) {
  :root {
    --biggest-font-size: 5.5rem;
    --h1-font-size: 2.5rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body,
button,
input {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  color: var(--text-color);
}

body {
  background-color: var(--body-color);
}

button,
input {
  outline: none;
  border: none;
}

h1, h2, h3, h4 {
  color: var(--title-color);
  font-family: var(--second-font);
  font-weight: var(--font-semi-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  max-width: 1120px;
  margin-inline: 1.5rem;
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.section {
  padding-block: 5rem 1rem;
}

.section__title {
  text-align: center;
  font-size: var(--h1-font-size);
  margin-bottom: 1.5rem;
}

.main {
  overflow: hidden; /* For animation ScrollReveal */
}

/*=============== HEADER & NAV ===============*/
.header{
  position: fixed;
  width: 100%;
  background-color: transparent;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
}

.nav{
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav__logo{
  color: var(--title-color);
  font-family: var(--second-font);
  font-weight: var(--font-semi-bold);
}

.nav__toggle,
.nav__close{
  display: flex;
  font-size: 1.5rem;
  color: var(--title-color);
  cursor: pointer;
}

/* Navigation for mobile devices */
@media screen and (max-width:1023px){
  .nav__menu{
    position: fixed;
    top: -100%;
    left: 0;
    background-color: hsla(0, 0%, 0%, .3);
    width: 100%;
    padding-block: 4rem;
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);
    transition: top .4s;
  }
}

.nav__list{
  text-align: center;
  display: flex;
  flex-direction: column;
  row-gap: 2.5rem;
}

.nav__link{
  position: relative;
  color: var(--title-color);
  font-family: var(--second-font);
  font-weight: var(--font-medium);
}

.nav__link::after{
  content: '';
  width: 0;
  height: 2px;
  background-color: var(--title-color);
  position: absolute;
  left: 0;
  bottom: -.5rem;
  transition: width .3s;
}

.nav__close{
  position: absolute;
  top: 1rem;
  right: 1.5rem;
}


/* Show menu */
.show-menu{
  top: 0;
}

/* Add blur to header */
.blur-header::after{
  content: '';
  position: absolute;
  width: 1000%;
  height: 100%;
  background-color: hsla(0,0,0,.3);
  backdrop-filter: blur(24px);
  -webkit-backdrop-filter: blur(24px);
  top: 0;
  left: 0;
  z-index: -1;
}

/* Active link */
.active-link::after{
    width: 70%;
}

/*=============== HOME ===============*/
.home{
  position: relative;
}

.home__bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 750px;
  object-fit: cover;
  object-position: center;
}

.home__shadow {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 800px;
  background: linear-gradient(180deg, 
            hsla(0,0%,0%,0)58%, 
            hsl(0,0%,0%)78%);
}

.home__container {
  position: relative;
  padding-top: 3rem;
  row-gap: 3rem;
}

.home__data{
  text-align: center;
}

.home__subtitle{
  font-size: var(--h3-font-size);
  margin-bottom: .5rem;
}

.home__title{
  font-size: var(--biggest-font-size);
  margin-bottom: 1rem;
}

.home__description {
  margin-bottom: 2rem;
  color: var(--title-color);
}

.home__cards {
  grid-template-columns: 240px;
  justify-content: center;
}

.home__card{
  position: relative;
  overflow: hidden;
}

.home__card-img{
  transition: transform .4s;
}

.home__card-shadow{
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: linear-gradient(180deg,
              hsla(0,0%,0%,0)50%,
              hsl(0, 0%, 0%)125%);
}

.home__card-title{
  position: absolute;
  left: 1rem;
  bottom: 1rem;
  font-size: var(--h3-font-size);
  z-index: 1;
}

.home__card:hover .home__card-img {
  transform: scale(1.2);
}

/*=============== BUTTON ===============*/
.button {
  background-color: hsla(0,0%,100%,.2);
  padding: 1.25rem;
  color: var(--title-color);
  display: inline-flex;
  align-items: center;
  column-gap: .5rem;
  font-family: var(--second-font);
  font-weight: var(--font-semi-bold);
  backdrop-filter: blur(24px);
  -webkit-backdrop-filter: blur(24px);/*For safari*/

}

.button i{
  font-size: 1.25rem;
  transition: transform .4s;
  font-weight: initial;
}

.button:hover i{
  transform: translateX(.25rem);
}



/*=============== ABOUT ===============*/
.about__container{
  row-gap: 3rem;
}

.about__data{
  text-align: center;
}

.about__description{
  margin-bottom: 5rem;
}

.about__image{
  position: relative;
  justify-self: center;
  overflow: hidden;
}

.about__img{
  width: 300px;
  transition: transform .4s;
}

.about__shadow{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(180deg,
              hsla(0,0%,0%,0)50%,
              hsl(0,0%,0%)125%);
}


.about__image:hover .about__img{
  transform: scale(1.2);
}
/*=============== portfolio ===============*/
.portfolio__container{
  padding-top: 1.5rem;
  grid-template-columns: 240px;
  justify-content: center;
  row-gap: 2.5rem;
}

.portfolio__image{
  position: relative;
  overflow: hidden;
  margin-bottom: 1rem;
}

.portfolio__img{
  transition: transform .4s;
}

.portfolio__shadow{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(180deg,
              hsla(0,0%,0%,0)50%,
              hsl(0,0%,0%)125%);  
}

.portfolio__title{
  font-size: var(--h3-font-size);
  margin-bottom: .5rem;
}

.portfolio__location{
  display: inline-flex;
  align-items: center;
  column-gap: .25rem;
  font-size: var(--small-font-size);
  font-family: var(--second-font);
  font-weight: 500;
}

.portfolio__location i{
  font-size: 1rem;
}

.portfolio__image:hover .portfolio__img{
  transform: scale(1.2);
}

/*=============== EXPLORE ===============*/
.explore{
  position: relative;
}

.explore__image{
  position: absolute;
  overflow: hidden;
}

.explore__img{
  width: 100%;
  height: 330px;
  object-fit: cover;
  object-position: center;
}

.explore__shadow{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient( 180deg,
              hsl(0, 0%, 0%) 5%,
              hsla(0, 0%, 0%, 0)40%,
              hsla(0, 0%, 0%, 0) 60%,
              hsl(0, 0%, 0%) 92%);
}

.explore__content{
  position: relative;
  padding-top: 16rem;
  text-align: center;
  row-gap: 2.5rem;
}


/*=============== subscribe ===============*/
.subscribe__container{
  row-gap: 3rem;
  padding-bottom: 2.5rem;
}

.subscribe__data{
  text-align: center;
}

.subscribe__description{
  margin-bottom: 2rem;
}

.subscribe__form{
  display: grid;
  row-gap: 1rem;
}

.subscribe__inp{
  padding: 1.25rem 1rem;
  background-color: var(--container-color);
}

.subscribe__button{
  cursor: pointer;
}

.subscribe__image{
  position: relative;
  justify-self: center;
  overflow: hidden;
}

.subscribe__img{
  width: 300px;
  transition: transform .4s;
}

.subscribe__shadow{
  position: absolute;
  top: 0;
  left: 0;width: 100%;
  height: 100%;
  background: linear-gradient(180deg,
              hsla(0, 0%, 0%, 0) 50%,
              hsl(0, 0%, 0%) 125%);
} 

.subscribe__image:hover .subscribe__img{
  transform: scale(1.2);
}

/*=============== FOOTER ===============*/
.footer{
  padding-block: 2.5rem;
  background-color: var(--container-color);
}

.footer__content{
  row-gap: 3.5rem;
}

.footer__logo{
  display: inline-block;
  color: var(--title-color);
  font-size: var(--h2-font-size);
  font-family: var(--second-font);
  font-weight: var(--font-semi-bold);
  margin-bottom: 1rem;
}

.footer__data{
  grid-template-columns: repeat(2, max-content);
  gap: 2.5rem 3.5rem;
}

.footer__title{
  font-size: var(--h3-font-size);
  margin-bottom: 1rem;
}

.footer__links{
  display: grid;
  row-gap: .75rem;
}

.footer__link{
  color: var(--text-color);
  transition: color .4s;
}

.footer__link:hover{
  color: var(--title-color);
}

.footer__copy{
  font-size: var(--small-font-size);
  color: var(--text-color-light);
  text-align: center;
}

/*=============== SCROLL UP ===============*/
.scrollup{
  position: fixed;
  right: 1rem;
  bottom: -50%;
  background-color: hsla(0, 0%, 100%, .1);
  padding: 6px;
  display: inline-flex;
  color: var(--title-color);
  font-size: 1.25rem;
  backdrop-filter: blur(24px);
  -webkit-backdrop-filter: blur(24px);
  z-index: var(--z-tooltip);
  transition: bottom .4s, transform .4s;
}

.scrollup:hover{
  transform: translateY(-.25rem);
}

/* Show Scroll Up */
.show-scroll{
  bottom: 3rem;
}

/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media  screen and (max-width:340px){
  .container{
    margin-inline: 1rem;
  }
}

.footer_data{
  grid-template-columns: max-content;
}

/* For medium devices */ 

@media screen and (min-width:576px){
  .home__container,
  .about__container,
  .explore__content,
  .subscribe__container{
    grid-template-columns: 380px;
    justify-content: center;
  }

  .footer__data{
    grid-template-columns: repeat(3, max-content);
  }

}
@media screen and (min-width:768px){
  
  .home__cards{
    grid-template-columns: repeat(2, 240px);
  }
  
  .about__container,
  .subscribe__container{
    grid-template-columns: repeat(2, 350px);
    align-items: center;
  } 

  .about__data,
  .about__container .section__title,
  .subscribe__container{
    text-align: initial;
  }
  .portfolio__container{
    grid-template-columns: repeat(2, 240px);
  } 
  
  .explore__img{
    width: 100vw;
  }

  .subscribe__image{
    order: -1;
  }

  .footer__content{
    grid-template-columns: repeat(2, max-content);
    justify-content: space-between;
  }

  .footer__data{
    grid-template-columns: repeat(2,max-content);
    column-gap: 4.5rem;
  }

  .footer__copy{
    justify-content: center;
  }
}
@media screen and (min-width: 1023px){

.nav__close,
.nav__toggle{
  display: none;
}

.nav__list{
  flex-direction: row;
  column-gap: 4rem;
}

.portfolio__container{
  grid-template-columns: repeat(3, 240px);
}

.footer__data{
  grid-template-columns: repeat(4, max-content);
  column-gap: 4.5rem;
}
}

@media screen and (min-width:1153px){
  .container{
    margin-inline: auto;
  }

  .section{
    padding-block: 7rem 2rem;
  }

  .nav{
    height: calc(var(--header-height) + 1.5rem);
  }

  .blur-header::after{
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);
  }

  .home__container{
    grid-template-columns: initial;
    justify-content: initial;
    row-gap: 4rem;
    padding-top: 6.5rem;
  }

  .home__shadow{
    height: 980px;
  }

  .home__data{
    text-align: initial;
    width: 480px;
  }

  .home__subtitle{
    font-size: var(--h2-font-size);
  }

  .home__description{
    margin-bottom: 2.5rem;
  }

  .home__cards{
    grid-template-columns: repeat(4, 260px);
  }

  .home__card-title{
    left: 1.5rem;
    bottom: 1.5rem;
  }

  .button{
    column-gap: 1.5rem;
  }

  .about__container{
    grid-template-columns: 400px 460px;
    column-gap: 8.5rem;
    padding-block: 1rem;
  }

  .about__description{
    margin-bottom: 3rem;
  }

  .about__img{
    width: 460px;
  }

  .portfolio__container{
    grid-template-columns: repeat(3, 300px);
    column-gap: 3rem;
    padding-top: 4rem;
  }

  .portfolio__title{
    font-size: var(--h2-font-size);
  }

  .portfolio__location{
    font-size: var(--normal-font-size);
  }

  .explore__img{
    height: 600px;
  }

  .explore__content{
    padding-top: 28rem;
    grid-template-columns: 670px 1fr;
  }

  .explore__data,
  .explore__data .section__title{
    text-align: initial;
  }

  .subscribe__container{
    grid-template-columns: 460px 340px;
    column-gap: 8.5rem;
    padding-block: 1rem 5rem;
  }

  .subscribe__img{
    width: 460px;
  }

  .subscribe__description{
    margin-bottom: 3rem;
  }

  .footer{
    padding-block: 5rem 3rem;
  }

  .footer__title{
    margin-bottom: 1.5rem;
  }
  .scrollup{
    right: 3rem;
  }
}